## kproperty 3.0.2

=== debian/changelog ===
kproperty (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Update symbols files.
  * Small copyright update.
  * Bump the frameworks build dependencies to 5.16.0, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 10:53:05 +0200

kproperty (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Do not try to copy translations for now, since this release does not
    include them.
  * Update symbols files.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2017 11:39:36 +0200

kproperty (3.0.0-2) experimental; urgency=medium

  * Add the qtbase5-dev, and libkf5widgetsaddons-dev dependencies to
    libkproperty3-dev, needed to use the kproperty headers.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jan 2017 23:29:55 +0100

kproperty (3.0.0-1) experimental; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jan 2017 15:43:37 +0100
