=== debian/watch ===
version=4

http://download.kde.org/stable/kproperty/src/kproperty-([\d\.]+)\.tar\.xz
