## kproperty 3.1.0

=== debian/changelog ===
kproperty (3.1.0-2~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 27 Oct 2018 20:03:21 -0700

kproperty (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:31:19 +0100

kproperty (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename libkpropertycore3-3 to libkpropertycore3-4, and
    libkpropertywidgets3-3 to libkpropertywidgets3-4 according to the upstream
    SONAME bumps.
  * Add the required qttools5-dev build dependency.
  * Update install files.
  * Update symbols files.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Vcs-* fields to salsa.debian.org.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 11:50:46 +0100
