=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kproperty
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
@@ -12,12 +13,13 @@
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.0.1
+               qttools5-dev,
+Standards-Version: 4.1.3
 Homepage: https://community.kde.org/KProperty
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kproperty.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kproperty.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty
 
-Package: libkpropertycore3-3
+Package: libkpropertycore3-4
 Architecture: any
 Multi-Arch: same
 Depends: libkproperty-data (>= ${source:Version}),
@@ -31,7 +33,7 @@
  .
  This package is part of the Calligra Suite.
 
-Package: libkpropertywidgets3-3
+Package: libkpropertywidgets3-4
 Architecture: any
 Multi-Arch: same
 Depends: libkproperty-data (>= ${source:Version}),
@@ -61,8 +63,8 @@
 Package: libkproperty3-dev
 Architecture: any
 Section: libdevel
-Depends: libkpropertycore3-3 (= ${binary:Version}),
-         libkpropertywidgets3-3 (= ${binary:Version}),
+Depends: libkpropertycore3-4 (= ${binary:Version}),
+         libkpropertywidgets3-4 (= ${binary:Version}),
          qtbase5-dev,
          libkf5widgetsaddons-dev,
          ${misc:Depends},
