=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym
