=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 set(kpropertycore_LIB_SRCS
    KProperty.cpp
+   KPropertyComposedUrl.cpp
    KPropertyListData.cpp
    KPropertySet.cpp
    KPropertySetBuffer.cpp
@@ -60,10 +61,12 @@
         editors/sizefedit.cpp
         editors/sizepolicyedit.cpp
         editors/spinbox.cpp
+        editors/KPropertyComposedUrlEditor.cpp
         editors/KPropertyGenericSelectionEditor.cpp
         editors/KPropertyMultiLineStringEditor.cpp
         editors/KPropertyStringEditor.cpp
         editors/KPropertyUrlEditor.cpp
+        editors/KPropertyUrlEditor_p.cpp
         editors/linestyleedit.cpp
         #  editors/stringlistedit.cpp
         #  editors/symbolcombo.cpp
@@ -73,6 +76,7 @@
         KPropertyWidgetsFactory.cpp
         KPropertyWidgetsPluginManager.cpp
         KDefaultPropertyFactory.cpp
+        KPropertyEditorItemEvent.cpp
         KPropertyEditorView.cpp
         KPropertyEditorDataModel_p.cpp
         KPropertyUtils.cpp
@@ -129,7 +133,7 @@
 set(CMAKECONFIG_CORE_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KPROPERTYCORE_BASE_NAME}")
 
 # A place for KProperty plugins
-set(KPROPERTY_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kproperty${PROJECT_STABLE_VERSION_MAJOR})
+set(KPROPERTY_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KPROPERTYCORE
@@ -215,6 +219,7 @@
     ORIGINAL CAMELCASE
     HEADER_NAMES
         KProperty
+        KPropertyComposedUrl
         KPropertyListData
         KPropertySet
         KPropertySetBuffer
@@ -243,6 +248,7 @@
             KPropertyWidgetsFactory
             KPropertyWidgetsPluginManager
             KPropertyUtils
+            KPropertyEditorItemEvent
             KPropertyEditorView
     )
