=== debian/changelog ===
kproperty (3.2.0-3) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113083)
  * Tweak watch file so it works with newer versions of uscan.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:07:41 +0200

kproperty (3.2.0-2) unstable; urgency=medium

  * Update symbols file for GCC 10. (Closes: #957410)
  * Add Rules-Requires-Root: no.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Bump Standards-Version to 4.5.0, no changes required.
  * Stop adding the as-needed linker flag, as it is the default in binutils.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jul 2020 08:19:11 +0200

kproperty (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit e1bdc4e6e857f9c355068500e2e50217c3fb8b8c to avoid
    an ABI change w.r.t 3.1.0; patch
    upstream_Restore-KPropertyDoubleSpinBox-resizeEvent-override.patch.
  * Update install files.
  * Update symbols files.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Oct 2019 08:11:21 +0200
