=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: kproperty
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
@@ -14,10 +13,10 @@
                libkf5widgetsaddons-dev (>= 5.16.0),
                pkg-kde-tools (>= 0.15.16),
                qttools5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Homepage: https://community.kde.org/KProperty
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kproperty.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kproperty
 
 Package: libkpropertycore3-4
 Architecture: any
