=== debian/watch ===
version=4
https://download.kde.org/stable/kproperty/src/@PACKAGE@-([\d.]+)\.tar\.xz
