## kproperty 3.2.0+p24.04+vstable+git20250901.0351

=== debian/changelog ===
kproperty (3.2.0+p24.04+vstable+git20250901.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 03:51:24 +0000

kproperty (3.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Mar 2018 10:12:19 +0000

kproperty (3.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 10:30:05 +0000

kproperty (3.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2017 13:36:06 +0000

kproperty (3.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Oct 2016 11:48:14 +0000
