## kproperty 3.2.0+p24.04+vstable+git20251231.0103

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,14 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 include(SetKPropertyCMakePolicies NO_POLICY_SCOPE)
 
-project(KProperty VERSION 3.2.0) # Update this
+project(KProperty VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
 
 # CMake
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
 
 # ECM
+include(ECMCoverageOption)
 if(KPROPERTY_GENERATE_PRI)
     include(ECMGeneratePriFile)
 endif()
@@ -50,13 +51,9 @@
 endif()
 
 add_unfinished_features_option()
-add_pc_file(KPropertyCore)
-add_pc_file(KPropertyWidgets)
 
 add_subdirectory(src)
 
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ecm_install_po_files_as_qm(po)
-endif()
+ecm_install_po_files_as_qm(poqm)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
