=== debian/changelog ===
kproperty (3.2.0+p24.04+vstable+git20251231.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:03:57 +0000
