=== debian/changelog ===
kproperty (3.2.0+p24.04+vunstable+git20251028.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:31:29 +0000
