=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: kproperty
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
@@ -12,11 +11,13 @@
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
                pkg-kde-tools (>= 0.15.16),
-               qttools5-dev,
-Standards-Version: 4.7.2
+               qttools5-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://community.kde.org/KProperty
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kproperty.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kproperty
+Vcs-Git: https://invent.kde.org/neon/extras/kproperty.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kproperty
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libkpropertycore3-4
 Architecture: any
@@ -50,6 +51,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: libkproperty-l10n, libkpropertywidgets-data
+Conflicts: libkproperty-l10n, libkpropertywidgets-data
+Replaces: libkproperty-l10n, libkpropertywidgets-data
 Description: data files for KProperty
  KProperty is a property editing framework with editor widget similar
  to what is known from Qt Designer.
@@ -62,11 +66,11 @@
 Package: libkproperty3-dev
 Architecture: any
 Section: libdevel
-Depends: libkpropertycore3-4 (= ${binary:Version}),
+Depends: libkf5widgetsaddons-dev,
+         libkpropertycore3-4 (= ${binary:Version}),
          libkpropertywidgets3-4 (= ${binary:Version}),
          qtbase5-dev,
-         libkf5widgetsaddons-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for KProperty
  KProperty is a property editing framework with editor widget similar
  to what is known from Qt Designer.
