=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

.PHONY: override_dh_auto_test
