## kproperty 3.2.0+p24.04+vunstable+git20251219.0110

=== debian/changelog ===
kproperty (3.2.0+p24.04+vunstable+git20251219.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 Dec 2025 01:10:31 +0000
