## kproperty 3.2.0+p24.04+vunstable+git20260105.1201

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 set(KPROPERTY_GENERATE_PRI TRUE)
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+
+set(REQUIRED_KF5_VERSION 5.36.0)
+find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 include(SetKPropertyCMakePolicies NO_POLICY_SCOPE)
 
 project(KProperty VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
@@ -22,10 +24,10 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMAddQch)
 
 # Own
 include(KPropertyAddIconsRccFile)
-include(KPropertyAddQCH)
 include(KPropertyMacros)
 
 simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)
@@ -34,7 +36,6 @@
 
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
-set(REQUIRED_KF5_VERSION 5.16.0)
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)
